uuagc

Visage

# Documentation

sem_VisageChild :: VisageChild -> T_VisageChild

newtype T_VisageChild

Constructors

T_VisageChild ATerm |

data Inh_VisageChild

Constructors

Inh_VisageChild |

data Syn_VisageChild

Constructors

Syn_VisageChild |
Fields aterm_Syn_VisageChild :: ATerm

wrap_VisageChild :: T_VisageChild -> Inh_VisageChild -> Syn_VisageChild

sem_VisageChild_VChild :: Identifier -> Type -> Attributes -> Attributes -> T_VisageRules -> T_VisageChild

sem_VisageChildren :: VisageChildren -> T_VisageChildren

newtype T_VisageChildren

Constructors

T_VisageChildren [ATerm] |

data Inh_VisageChildren

Constructors

Inh_VisageChildren |

data Syn_VisageChildren

Constructors

Syn_VisageChildren |
Fields aterms_Syn_VisageChildren :: [ATerm]

wrap_VisageChildren :: T_VisageChildren -> Inh_VisageChildren -> Syn_VisageChildren

sem_VisageChildren_Cons :: T_VisageChild -> T_VisageChildren -> T_VisageChildren

sem_VisageChildren_Nil :: T_VisageChildren

sem_VisageGrammar :: VisageGrammar -> T_VisageGrammar

newtype T_VisageGrammar

Constructors

T_VisageGrammar ATerm |

data Inh_VisageGrammar

Constructors

Inh_VisageGrammar |

data Syn_VisageGrammar

Constructors

Syn_VisageGrammar |
Fields aterm_Syn_VisageGrammar :: ATerm

wrap_VisageGrammar :: T_VisageGrammar -> Inh_VisageGrammar -> Syn_VisageGrammar

sem_VisageGrammar_VGrammar :: T_VisageNonterminals -> T_VisageGrammar

sem_VisageNonterminal :: VisageNonterminal -> T_VisageNonterminal

newtype T_VisageNonterminal

Constructors

T_VisageNonterminal ATerm |

data Inh_VisageNonterminal

Constructors

Inh_VisageNonterminal |

data Syn_VisageNonterminal

Constructors

Syn_VisageNonterminal |
Fields aterm_Syn_VisageNonterminal :: ATerm

wrap_VisageNonterminal :: T_VisageNonterminal -> Inh_VisageNonterminal -> Syn_VisageNonterminal

sem_VisageNonterminal_VNonterminal :: NontermIdent -> Attributes -> Attributes -> T_VisageProductions -> T_VisageNonterminal

sem_VisageNonterminals :: VisageNonterminals -> T_VisageNonterminals

newtype T_VisageNonterminals

Constructors

T_VisageNonterminals [ATerm] |

data Inh_VisageNonterminals

Constructors

Inh_VisageNonterminals |

data Syn_VisageNonterminals

Constructors

Syn_VisageNonterminals |
Fields aterms_Syn_VisageNonterminals :: [ATerm]

wrap_VisageNonterminals :: T_VisageNonterminals -> Inh_VisageNonterminals -> Syn_VisageNonterminals

sem_VisageNonterminals_Cons :: T_VisageNonterminal -> T_VisageNonterminals -> T_VisageNonterminals

sem_VisageNonterminals_Nil :: T_VisageNonterminals

sem_VisagePattern :: VisagePattern -> T_VisagePattern

newtype T_VisagePattern

Constructors

T_VisagePattern ATerm |

data Inh_VisagePattern

Constructors

Inh_VisagePattern |

data Syn_VisagePattern

Constructors

Syn_VisagePattern |
Fields aterm_Syn_VisagePattern :: ATerm

wrap_VisagePattern :: T_VisagePattern -> Inh_VisagePattern -> Syn_VisagePattern

sem_VisagePattern_VAlias :: Identifier -> Identifier -> T_VisagePattern -> T_VisagePattern

sem_VisagePattern_VConstr :: ConstructorIdent -> T_VisagePatterns -> T_VisagePattern

sem_VisagePattern_VProduct :: Pos -> T_VisagePatterns -> T_VisagePattern

sem_VisagePattern_VUnderscore :: Pos -> T_VisagePattern

sem_VisagePattern_VVar :: Identifier -> Identifier -> T_VisagePattern

sem_VisagePatterns :: VisagePatterns -> T_VisagePatterns

newtype T_VisagePatterns

Constructors

T_VisagePatterns [ATerm] |

data Inh_VisagePatterns

Constructors

Inh_VisagePatterns |

data Syn_VisagePatterns

Constructors

Syn_VisagePatterns |
Fields aterms_Syn_VisagePatterns :: [ATerm]

wrap_VisagePatterns :: T_VisagePatterns -> Inh_VisagePatterns -> Syn_VisagePatterns

sem_VisagePatterns_Cons :: T_VisagePattern -> T_VisagePatterns -> T_VisagePatterns

sem_VisagePatterns_Nil :: T_VisagePatterns

sem_VisageProduction :: VisageProduction -> T_VisageProduction

newtype T_VisageProduction

Constructors

T_VisageProduction ATerm |

data Inh_VisageProduction

Constructors

Inh_VisageProduction |

data Syn_VisageProduction

Constructors

Syn_VisageProduction |
Fields aterm_Syn_VisageProduction :: ATerm

wrap_VisageProduction :: T_VisageProduction -> Inh_VisageProduction -> Syn_VisageProduction

sem_VisageProduction_VProduction :: ConstructorIdent -> T_VisageChildren -> T_VisageRules -> T_VisageRules -> T_VisageProduction

sem_VisageProductions :: VisageProductions -> T_VisageProductions

newtype T_VisageProductions

Constructors

T_VisageProductions [ATerm] |

data Inh_VisageProductions

Constructors

Inh_VisageProductions |

data Syn_VisageProductions

Constructors

Syn_VisageProductions |
Fields aterms_Syn_VisageProductions :: [ATerm]

wrap_VisageProductions :: T_VisageProductions -> Inh_VisageProductions -> Syn_VisageProductions

sem_VisageProductions_Cons :: T_VisageProduction -> T_VisageProductions -> T_VisageProductions

sem_VisageProductions_Nil :: T_VisageProductions

sem_VisageRule :: VisageRule -> T_VisageRule

newtype T_VisageRule

Constructors

T_VisageRule (Bool -> ATerm) |

data Inh_VisageRule

Constructors

Inh_VisageRule |
Fields isLoc_Inh_VisageRule :: Bool

data Syn_VisageRule

Constructors

Syn_VisageRule |
Fields aterm_Syn_VisageRule :: ATerm

wrap_VisageRule :: T_VisageRule -> Inh_VisageRule -> Syn_VisageRule

sem_VisageRule_VRule :: [(Identifier, Identifier)] -> Identifier -> T_VisagePattern -> T_Expression -> Bool -> T_VisageRule

sem_VisageRules :: VisageRules -> T_VisageRules

newtype T_VisageRules

Constructors

T_VisageRules (Bool -> [ATerm]) |

data Inh_VisageRules

Constructors

Inh_VisageRules |
Fields isLoc_Inh_VisageRules :: Bool

data Syn_VisageRules

Constructors

Syn_VisageRules |
Fields aterms_Syn_VisageRules :: [ATerm]

wrap_VisageRules :: T_VisageRules -> Inh_VisageRules -> Syn_VisageRules

sem_VisageRules_Cons :: T_VisageRule -> T_VisageRules -> T_VisageRules

sem_VisageRules_Nil :: T_VisageRules

sem_Expression :: Expression -> T_Expression

newtype T_Expression

Constructors

T_Expression ATerm |

data Inh_Expression

Constructors

Inh_Expression |

data Syn_Expression

Constructors

Syn_Expression |
Fields aterm_Syn_Expression :: ATerm

wrap_Expression :: T_Expression -> Inh_Expression -> Syn_Expression

sem_Expression_Expression :: Pos -> [HsToken] -> T_Expression

convert :: String -> String

sQ :: String -> String

showAGPos :: Pos -> String

showMap :: (Show a, Show b) => Map a b -> String